aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Sulfrian <alexander@sulfrian.net>2012-06-06 16:16:23 +0200
committerAlexander Sulfrian <alexander@sulfrian.net>2012-06-06 16:16:23 +0200
commitbd4e0540a41a5105103c57433ca72f1e247e0886 (patch)
tree7bd9751ae193d51a524b264f3773cc4e71d5a9fa
parent09607019fae85743dd54a0b343ce44ef677994ab (diff)
downloadoverlay-bd4e0540a41a5105103c57433ca72f1e247e0886.tar.gz
overlay-bd4e0540a41a5105103c57433ca72f1e247e0886.tar.xz
overlay-bd4e0540a41a5105103c57433ca72f1e247e0886.zip
dev-util/nfcutils: add nfcutils from nfc-tools package
-rw-r--r--dev-util/nfcutils/Manifest3
-rw-r--r--dev-util/nfcutils/nfcutils-0.3.0.ebuild23
-rw-r--r--dev-util/nfcutils/nfcutils-9999.ebuild28
3 files changed, 54 insertions, 0 deletions
diff --git a/dev-util/nfcutils/Manifest b/dev-util/nfcutils/Manifest
new file mode 100644
index 0000000..4bac912
--- /dev/null
+++ b/dev-util/nfcutils/Manifest
@@ -0,0 +1,3 @@
+DIST nfcutils-0.3.0.tar.gz 107469 RMD160 c817737e776a92342603234e5347d45f07b74b52 SHA1 7a9371b3df8daf3f43bad8f75810dc052d7c2c83 SHA256 14aa1bce319fa37e0179725a118eea78f28ef19763b8f70ae7a24fa1569c06bc
+EBUILD nfcutils-0.3.0.ebuild 530 RMD160 97d8ce375bd4d2cd9b07485a6935e69c4cd1f6f4 SHA1 ccb0fd7e4a20dab385a27d1191c63c03f283fd77 SHA256 21d83b19a4924c780827d796ecb6f076598308f4c2a0d59fee4431c7ad7c5cb1
+EBUILD nfcutils-9999.ebuild 645 RMD160 8cdf907c4602ed6715dd6305559c684d442ddc41 SHA1 86c261c15c51fa75e84f37652f16ebdb93295540 SHA256 81c2832123f8fb70eda29c06b498d355ba70173b9405a988b886cff8c2a99748
diff --git a/dev-util/nfcutils/nfcutils-0.3.0.ebuild b/dev-util/nfcutils/nfcutils-0.3.0.ebuild
new file mode 100644
index 0000000..eca5e5d
--- /dev/null
+++ b/dev-util/nfcutils/nfcutils-0.3.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils
+
+DESCRIPTION="provide a simple 'lsnfc' command"
+HOMEPAGE="http://code.google.com/p/nfc-tools/"
+SRC_URI="http://nfc-tools.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+
+CDEPEND=">=dev-libs/libnfc-1.5.1"
+RDEPEND="${CDEPEND}"
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed"
+ dodoc README ChangeLog AUTHORS NEWS || die
+}
diff --git a/dev-util/nfcutils/nfcutils-9999.ebuild b/dev-util/nfcutils/nfcutils-9999.ebuild
new file mode 100644
index 0000000..a8bebbe
--- /dev/null
+++ b/dev-util/nfcutils/nfcutils-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils subversion autotools
+
+DESCRIPTION="provide a simple 'lsnfc' command"
+HOMEPAGE="http://code.google.com/p/nfc-tools/"
+ESVN_REPO_URI="http://nfc-tools.googlecode.com/svn/trunk/nfcutils/"
+ESVN_PROJECT="nfcutils"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+
+CDEPEND=">=dev-libs/libnfc-1.5.1"
+RDEPEND="${CDEPEND}"
+
+src_prepare() {
+ eautoreconf || die "autoreconf failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed"
+ dodoc README ChangeLog AUTHORS NEWS || die
+}